Loading...
Searching...
No Matches
com::lomiri::content::Type::Known Struct Reference

`#include <com/lomiri/content/type.h>`

Collaboration diagram for com::lomiri::content::Type::Known:

## Static Public Member Functions

static const Type & | documents ()
static const Type & | pictures ()
static const Type & | music ()
static const Type & | contacts ()
static const Type & | videos ()
static const Type & | links ()
static const Type & | ebooks ()
static const Type & | text ()
static const Type & | events ()

## Detailed Description

Definition at line 46 of file type.h.

## Member Function Documentation

## contacts()

const Type & com::lomiri::content::Type::Known::contacts | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

## documents()

const Type & com::lomiri::content::Type::Known::documents | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

## ebooks()

const Type & com::lomiri::content::Type::Known::ebooks | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

## events()

const Type & com::lomiri::content::Type::Known::events | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

## links()

const Type & com::lomiri::content::Type::Known::links | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

## music()

const Type & com::lomiri::content::Type::Known::music | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

## pictures()

const Type & com::lomiri::content::Type::Known::pictures | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

## text()

const Type & com::lomiri::content::Type::Known::text | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

## videos()

const Type & com::lomiri::content::Type::Known::videos | ( |  | ) |

static

References com::lomiri::content::Type::Type().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- include/com/lomiri/content/type.h